# osgSim::ElevationRange Class Reference

Inheritance diagram for osgSim::ElevationRange:

[legend]
List of all members.

## Public Member Functions

| ElevationRange ()
void | setElevationRange (float minElevation, float maxElevation, float fadeAngle=0.0f)
float | getMinElevation () const
float | getMaxElevation () const
float | getFadeAngle () const
float | elevationSector (const osg::Vec3 &eyeLocal) const

## Protected Attributes

float | _cosMinElevation
float | _cosMinFadeElevation
float | _cosMaxElevation
float | _cosMaxFadeElevation

## Constructor & Destructor Documentation

osgSim::ElevationRange::ElevationRange | ( |  | ) | `[inline]`

## Member Function Documentation

float osgSim::ElevationRange::elevationSector | ( | const osg::Vec3 & | eyeLocal | ) | const`[inline]`

float ElevationRange::getFadeAngle | ( |  | ) | const

float ElevationRange::getMaxElevation | ( |  | ) | const

float ElevationRange::getMinElevation | ( |  | ) | const

void ElevationRange::setElevationRange | ( | float | minElevation,
|  | float | maxElevation,
|  | float | fadeAngle = `0.0f`
| ) |

## Member Data Documentation

float osgSim::ElevationRange::_cosMaxElevation `[protected]`

| Reimplemented in osgSim::ElevationSector.

float osgSim::ElevationRange::_cosMaxFadeElevation `[protected]`

| Reimplemented in osgSim::ElevationSector.

float osgSim::ElevationRange::_cosMinElevation `[protected]`

| Reimplemented in osgSim::ElevationSector.

float osgSim::ElevationRange::_cosMinFadeElevation `[protected]`

| Reimplemented in osgSim::ElevationSector.

The documentation for this class was generated from the following files:

- Sector
- Sector.cpp